---
title: "Get Business Details"
api: "GET /api/v1/me"
description: "Verify your API key and retrieve your business information."
---

### Response

<ResponseField name="message" type="string">
  Success message.
</ResponseField>

<ResponseField name="business" type="object">
  <Expandable title="properties">
    <ResponseField name="name" type="string">
      The registered business name.
    </ResponseField>
    <ResponseField name="type" type="string">
      Business type (e.g., 'To Customer').
    </ResponseField>
    <ResponseField name="status" type="string">
      Current status (must be 'active').
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
```bash
curl --request GET \
     --url https://your-api-domain.com/api/v1/me \
     --header 'x-api-key: <api-key>'
```
</RequestExample>

<ResponseExample>
```json
{
  "message": "Authentication successful",
  "business": {
    "name": "My Business",
    "type": "To Customer",
    "website": "https://example.com",
    "status": "active",
    "owner": "Mubaraq"
  }
}
```
</ResponseExample>
